de.dhbwstuttgart.syntaxtree.type

## Class FreshWildcardType

- java.lang.Object
- - de.dhbwstuttgart.syntaxtree.SyntaxTreeNode
  - - de.dhbwstuttgart.syntaxtree.type.Type
    - - de.dhbwstuttgart.syntaxtree.type.FreshWildcardType

- All Implemented Interfaces:
    IItemWithOffset
  Direct Known Subclasses:
    FreshExtendsWildcardType, FreshSuperWildcardType

      public class FreshWildcardType
      extends Type

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static java.lang.String` | `strNextName`
    `private Menge<Type>` | `upperBounds`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.type.Type

      `name, used`

    - ### Fields inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `parent`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `FreshWildcardType(SyntaxTreeNode parent, int offset)` Author: Arne LÃ¼dtke Standard Konstruktor fÃ¼r eine FreshWildcard
    `protected` | `FreshWildcardType(SyntaxTreeNode parent, int offset, java.lang.String name)` Author: Arne LÃ¼dtke Protected Konstruktor fÃ¼r clone.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FreshWildcardType` | `clone()` Author: Arne LÃ¼dtke Gibt einen Klon der Wildcard zurÃ¼ck.
    `boolean` | `equals(java.lang.Object obj)` Author: Arne LÃ¼dtke PrÃ¼ft, ob zwei Objekte gleich sind.
    `Menge<Type>` | `get_UpperBounds()` Author: Arne LÃ¼dtke Gibt den Menge der oberen Grenzen zurÃ¼ck
    `WildcardType` | `get_WildcardType()` Author: Arne LÃ¼dtke Gibt die passende WildcardType Klasse zurÃ¼ck.
    `private static void` | `inc(int i)` Hilfsmethode fÃ¼r makeNewName Methode aus TypePlaceholder kopiert
    `private static JavaClassName` | `makeNewName()` Erzeugt einen neuen Namen, und gibt diesen zurÃ¼ck Methode aus TypePlaceholder kopiert
    `private static void` | `manipulate(int nStelle, char nWert)` Hilfsmethode fÃ¼r makeNewName Methode aus TypePlaceholder kopiert
    `JavaCodeResult` | `printJavaCode(ResultSet resultSet)`
    `void` | `set_UpperBounds(Menge<Type> bounds)` Author: Arne LÃ¼dtke Setzt den Menge der oberen Grenzen
    `java.lang.String` | `toString()` Author: Arne LÃ¼dtke Gibt String Entsprechung zurÃ¼ck.

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.type.Type

      `applyResultSet, checkTYPE, get_Name, get_UsedId, getChildren, getInvolvedTypePlaceholder, getName, getOffset, getSimpleName, getSuperWildcardTypes, getUnresolvedTPH, getVariableLength, involves, set_UsedId, setOffset, TYPE, Type2Key, Type2String`

    - ### Methods inherited from class de.dhbwstuttgart.syntaxtree.SyntaxTreeNode

      `addTypeInsertPoints, getDescription, getGTVDeclarationContext, getMatchingParentNode, getParent, getParentClass, parserPostProcessing, seesType`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### strNextName

          private static java.lang.String strNextName

    - #### upperBounds

          private Menge<Type> upperBounds

  - ### Constructor Detail

    - #### FreshWildcardType

          public FreshWildcardType(SyntaxTreeNode parent,
                                   int offset)

      Author: Arne LÃ¼dtke
      Standard Konstruktor fÃ¼r eine FreshWildcard

    - #### FreshWildcardType

          protected FreshWildcardType(SyntaxTreeNode parent,
                                      int offset,
                                      java.lang.String name)

      Author: Arne LÃ¼dtke
      Protected Konstruktor fÃ¼r clone. Protected, da vererbte Klassen ihn verwenden mÃ¼ssen.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Author: Arne LÃ¼dtke
      Gibt String Entsprechung zurÃ¼ck.
      Overrides:
        `toString` in class `Type`

    - #### clone

          public FreshWildcardType clone()

      Author: Arne LÃ¼dtke
      Gibt einen Klon der Wildcard zurÃ¼ck. Der Innere Typ wird auch geklont
      Specified by:
        `clone` in class `Type`
      Returns:
        // ino.end // ino.method.clone.26768.definition public Type clone() // ino.end // ino.method.clone.26768.body { return new RefType(this.getName().toString(), this.getParent(),getOffset()); } // ino.end

    - #### equals

          public boolean equals(java.lang.Object obj)

      Author: Arne LÃ¼dtke
      PrÃ¼ft, ob zwei Objekte gleich sind. NICHT INSTANZGLEICH
      Overrides:
        `equals` in class `Type`

    - #### makeNewName

          private static JavaClassName makeNewName()

      Erzeugt einen neuen Namen, und gibt diesen zurÃ¼ck Methode aus TypePlaceholder kopiert

    - #### inc

          private static void inc(int i)

      Hilfsmethode fÃ¼r makeNewName Methode aus TypePlaceholder kopiert

    - #### manipulate

          private static void manipulate(int nStelle,
                                         char nWert)

      Hilfsmethode fÃ¼r makeNewName Methode aus TypePlaceholder kopiert

    - #### get_WildcardType

          public WildcardType get_WildcardType()

      Author: Arne LÃ¼dtke
      Gibt die passende WildcardType Klasse zurÃ¼ck. Wird fÃ¼r smaller4 verwendet

    - #### get_UpperBounds

          public Menge<Type> get_UpperBounds()

      Author: Arne LÃ¼dtke
      Gibt den Menge der oberen Grenzen zurÃ¼ck

    - #### set_UpperBounds

          public void set_UpperBounds(Menge<Type> bounds)

      Author: Arne LÃ¼dtke
      Setzt den Menge der oberen Grenzen

    - #### printJavaCode

          public JavaCodeResult printJavaCode(ResultSet resultSet)

      Overrides:
        `printJavaCode` in class `Type`